Skip to main content

Keep it updated!

Updating the WiKID server is quite simple. It does involve some minor downtime for restart.

Before you start, please back up the WiKID server or take a snapshot!

NB: Version 4.0.1 and higher require the Java 8 JDK.  And 4.2.0-b2007 requires RHEL/Centos 6 or higher.  If you are on Centos 5, please contact us.

If you cannot upgrade via Yum, you can install Oracle's JDK via the command line.

Also, if you have customized any pages such as ADRegister or example.jsp, copy them to another directory so the do not get over-written. After the update, copy them back.

If you are running our ISO version or installed using rpms, you can download the latest RPM from our downloads page. You can download from the terminal using the wget command (e.g. 'wget --no-check-certificate https://downloads.wikidsystems.com/wikid-server-enterprise-x.x.rpm'). If there is a utilities update, please download that too.

Then run:

# yum update wikid-*

# wikidctl start

That's it. For Ubuntu, the process is similar:

# sudo dpkg -i wikid-*

# sudo /opt/WiKID/bin/wikidctl start


If your certificates are expired, please this document on getting new certificates and licenses.



 

Copyright © WiKID Systems, Inc. 2017 | Two-factor Authentication